#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gavl-1.4.0

- Next

  gst-plugins-base-1.20.0

- Up
- Home

# gstreamer-1.20.0

## Introduction to gstreamer

gstreamer is a streaming media framework that enables applications to share a common set of plugins for tasks such as video encoding and decoding, audio encoding and decoding, audio and video filters, audio visualisation, web streaming and anything else that streams in real-time or otherwise. This package only provides base functionality and libraries. You may need at least gst-plugins-base-1.20.0 and one of Good, Bad, Ugly or Libav plugins.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gstreamer/gstreamer-1.20.0.tar.xz

- Download MD5 sum: aa2990f8e587249875a9598af07e39c4

- Download size: 2.6 MB

- Estimated disk space required: 61 MB (with tests)

- Estimated build time: 0.4 SBU (Using parallelism=4; with tests)

### gstreamer Dependencies

#### Required

GLib-2.70.4

#### Recommended

gobject-introspection-1.70.0

#### Optional

GTK+-3.24.31 (for examples), Gsl-2.7.1 (used by one test if installed), Valgrind-3.18.1, bash-completion, hotdoc, libdw, and libunwind

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gstreamer10

## Installation of gstreamer

### Note

If you do not have an Objective-C compiler installed, the build system for this package will emit a warning about a failed sanity check. This is harmless, and it is safe to continue.

Install gstreamer by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr       \
           --buildtype=release \
           -Dgst_debug=false   \
           -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
           -Dpackage-name="GStreamer 1.20.0 BLFS" &&
    ninja

To test the results, issue: ninja test.

### Caution

If you are reinstalling gstreamer from a previous version, it is best if you remove the prior version, including plugins, before installing the new version. If there is a mixture of versions installed, using processes may hang or not work properly. As the `root` user:

    rm -rf /usr/bin/gst-* /usr/{lib,libexec}/gstreamer-1.0

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: gst-inspect-1.0, gst-launch-1.0, gst-stats-1.0, gst-tester-1.0, and gst-typefind-1.0
Installed Libraries: libgstbase-1.0.so, libgstcheck-1.0.so, libgstcontroller-1.0.so, libgstnet-1.0.so, and libgstreamer-1.0.so
Installed Directories: /usr/{include,lib,libexec,share}/gstreamer-1.0

### Short Descriptions

gst-inspect-1.0 | is a tool that prints out information on available gstreamer plugins, information about a particular plugin, or information about a particular element
gst-launch-1.0 | is a tool that builds and runs basic gstreamer pipelines
gst-stats-1.0 | is a tool used to gather statistics about gstreamer operations
gst-tester-1.0 | runs a test plan in TAP compatible format while integrating with the meson test harness
gst-typefind-1.0 | uses the gstreamer type finding system to determine the relevant gstreamer plugin to parse or decode files, and the corresponding MIME type
`libgstbase-1.0.so` | provides some base classes to be extended by elements and utillity classes that are most useful for plugin developers
`libgstcheck-1.0.so` | provides functionality for writing unit tests that use the check framework
`libgstcontroller-1.0.so` | provides functionality to animate element properties over time
`libgstnet-1.0.so` | provides network elements and objects
`libgstreamer-1.0.so` | provides all of the core gstreamer services, including initialization, plugin management and types, as well as the object hierarchy that defines elements and bins, along with some more specialized elements

Last updated on

- Prev

  gavl-1.4.0

- Next

  gst-plugins-base-1.20.0

- Up
- Home